import {
  Loader, Metadata, IDictionary,
} from '@zeedhi/core';

import {
  GridEditable, Form,
} from '@zeedhi/common';

export class Pla15100FormasPreparoController {
  public gridEditController = Loader.getInstance('GridEditableController');

  public crudController = Loader.getInstance('CrudController');

  public utilities = Loader.getInstance('Utilities');
  
  public saveFormaPrep() {
    const form = Metadata.getInstance<Form>('formFormaPreparo');
    const grid: GridEditable = Metadata.getInstance('gridFormaPreparo');
    const editedRows = grid.getEditedRows() as IDictionary;
    
    if (form.validate()) {
      this.crudController.saveRows(editedRows, 'formaPreparo', grid).then(() => {
        this.utilities.showAlert('alert', 'pme::salvoComSucesso', 'success');
      }).catch((error: string) => {
        this.utilities.showAlert('alert', `pme::${error}`, 'error');
      }).finally(() => {
        this.gridEditController.defaultState(grid);
      });
    }
  }
}
