import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    routerParams: {},
    menu: JSON.parse(<string>localStorage.getItem('MENU')) || [],
    cdCentral: <string>localStorage.getItem('CDFILIAL') || '',
    cdpictprat: <string>localStorage.getItem('CDPICTPRAT') || '',
    cdpictprod: <string>localStorage.getItem('CDPICTPROD') || '',
    appLoginToken: '',
    appShowMenu: true,
    appShowHeader: true,
    appShowFooter: true,
  },
  mutations: {
    setRouterParams: (state, value: any) => {
      state.routerParams = value;
      localStorage.setItem('routeParams', JSON.stringify(value));
    },
    setMenu: (state, value: any) => {
      state.menu = value;
    },
    setAppLoginToken: (state, token: string) => {
      state.appLoginToken = token;
    },
    setAppDisplayOptions: (state, options: any) => {
      state.appShowMenu = options.menu !== '0';
      state.appShowHeader = options.header !== '0';
      state.appShowFooter = options.menu !== '0';
    },
    cdCentral: (state, cdCentral: string) => {
      state.cdCentral = cdCentral;
    },
    cdpictprat: (state, cdpictprat: string) => {
      state.cdpictprat = cdpictprat;
    },
    cdpictprod: (state, cdpictprod: string) => {
      state.cdpictprod = cdpictprod;
    },
  },
  actions: {
  },
  getters: {
    routerParams: (state) => state.routerParams,
    getMenu: (state) => state.menu,
    cdCentral: (state) => state.cdCentral,
    cdpictprat: (state) => state.cdpictprat,
    cdpictprod: (state) => state.cdpictprod,
  },
});
